<?php

namespace App\Helpers;

class AccessLevelHelper
{
  // TODO: (TPI) en db
  private static $default_access_groups = [
    "responsables-apprentis" => ["full", "responsable"],
    // "canap-gest-users-dev" => ["full", "responsable"], // just for dev testing, remove line in prod
    "enacproj-mdt-admins" => ["informaticien", "formateur"], // just for dev testing, remove line in prod
    "formateurs-commerce" => ["employeCommerce", "formateur"],
    "formateurs-gardiens-animaux" => ["gardienAnimaux", "formateur"],
    "formateurs-informaticiens" => ["informaticien", "formateur"],
    "formateurs-interactive-media-designer" => ["interactiveMediaDesigner", "formateur"],
    "formateurs-laborantins-en-biologie" => ["laborantinBiologie", "formateur"],
    "formateurs-laborantins-en-chimie" => ["laborantinChimie", "formateur"],
    "formateurs-laborantins-en-physique" => ["laborantinPhysique", "formateur"],
    "formateurs-planificateurs-electriciens" => ["planificateurElectricien", "formateur"],
    "formateurs-logisticiens" => ["logisticien", "formateur"],
    "formateurs-polymecaniciens" => ["polyMecanicien", "formateur"],
  ];

  public static function hasAccessToJob($job, $permissions)
  {
    return in_array($job, $permissions);
  }

  public static function isJobValid($job)
  {
    foreach (self::$default_access_groups as $key => $access) {
      if ($access[0] == $job && $job != 'full') {
        return true;
      }
    }
    return false;
  }

  public static function hasPermittedRole($user_role, $wanted_role)
  {
    return $user_role == $wanted_role;
  }

  public static function getUserAccess($user_groups)
  {
    $user_alloweds = [];
    $user_role = "";
    $user_groups = explode(',', $user_groups);

    foreach (self::$default_access_groups as $group => $access) {
      $access_level = $access[0];
      $access_role = $access[1];
      if (in_array($group, $user_groups)) {
        if ($access_level == 'full') {
          // user has full access, fill with all jobs and stop
          $user_alloweds = self::setFullAccess();
          $user_role = $access_role;
          break;
        } else {
          // user has not full access
          $user_role = $access_role;
          array_push($user_alloweds, $access_level);
        }
      }
    }
    return ["groups" => $user_alloweds, "role" => $user_role];
  }

  private static function setFullAccess()
  {
    $user_alloweds = [];
    foreach (self::$default_access_groups as $perm) {
      if ($perm[0] != 'full') {
        if (!in_array($perm[0], $user_alloweds)) {
          array_push($user_alloweds, $perm[0]);
        }
      }
    }
    return $user_alloweds;
  }
}