<?php

namespace App\Http\Controllers;

use Laravel\Lumen\Routing\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Helpers\AccessLevelHelper;

class FilesController extends Controller
{
  private $request;
  private $user_permissions;

  public function __construct(Request $request)
  {
    $this->request = $request;
    $this->user_permissions = $this->request->get('user_permissions');
  }

  public function getFile($id)
  {
    // Check access to file
    $applicant_job = DB::table('applicant')
      ->join('file', 'file.fk_applicant_id', '=', 'applicant.applicant_id')
      ->where('file_id', $id)->pluck('applicant_formation')->first();

    $has_access = AccessLevelHelper::hasAccessToJob($applicant_job, $this->user_permissions);
    if ($has_access) {
      $file = DB::table('file')->where('file_id', $id)->first();
      return response()->download($file->file_path);
    } else {
      return abort(403, lang::get('http.unauthorized'));
    }
  }
}
