<?php
$router->get('api/auth/login', 'AuthController@authenticate');
$router->get('api/auth/logout', 'AuthController@logout');

$router->group(['middleware' => 'jwt.auth'], function () use ($router) {

  // Users
  $router->get('api/user', 'UsersController@getData');
  $router->get('api/user/permittedjobs', 'UsersController@getPermittedJobs');
  $router->get('api/user/hascommentedormarked', 'UsersController@getCommentedAndMarkedApplicantsByUser');
  $router->get('api/user/data/{sciper}', 'UsersController@getUserDataBySciper');

  // Applicants
  $router->get('api/applicants', 'ApplicantsController@getAll');
  $router->get('api/applicants/job/{job}', 'ApplicantsController@getJobApplicants');
  $router->get('api/applicant/{id:[0-9]+}', 'ApplicantsController@getOneById');
  $router->get('api/applicant/{id:[0-9]+}/export', 'ApplicantsController@export');
  $router->patch('api/applicant/{id:[0-9]+}', 'ApplicantsController@updateStatus');
  $router->delete('api/applicant/{id:[0-9]+}', 'ApplicantsController@delete');

  // Comments
  $router->get('api/applicant/{id:[0-9]+}/comments', 'CommentsController@getApplicantComments');
  $router->put('api/comment', 'CommentsController@create');
  $router->patch('api/comment/{id:[0-9]+}', 'CommentsController@update');
  $router->delete('api/comment/{id:[0-9]+}', 'CommentsController@delete');

  // Markers
  $router->get('api/applicant/{id:[0-9]+}/markers', 'MarkersController@getApplicantMarkers');
  $router->get('api/applicant/{id:[0-9]+}/usermarkers', 'MarkersController@getUserMarkerOnApplicant');
  $router->put('api/marker', 'MarkersController@create');
  $router->patch('api/marker/{id:[0-9]+}', 'MarkersController@update');
  $router->delete('api/marker/{id:[0-9]+}', 'MarkersController@delete');

  // Files
  $router->get('api/file/{id:[0-9]+}', 'FilesController@getFile');

  // Stats
  $router->get('api/stats/total', 'StatsController@getTotal');
});